package org.jeecg.modules.device.service;


import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.device.entity.BuRiskItemValue;
import org.jeecg.modules.device.model.DeviceRate;

import java.util.List;

/**
 * @Description: bu_risk_item_value
 * @Author: jeecg-boot
 * @Date:   2024-08-02
 * @Version: V1.0
 */
public interface IBuRiskItemValueService extends IService<BuRiskItemValue> {

    public BuRiskItemValue getDataByTwoId(String deviceId,String riskId);

    public List<BuRiskItemValue> getDeviceItemStatus(String deviceId);

    //统计设备异常个数
    public long getDeviceAbnormalCount();
    //每类设备的合格率和风险数
    public List<DeviceRate> getDeviceRiskRate();
    //每类设备接入情况
    public List<DeviceRate> getDeviceAccEssRate();
    //设备故障率
    public List<DeviceRate> getDeviceFaultRate();

}
